Archive an entity
POST
/api/subscriptions/entities/{id}/archive
const url = 'https://api.usegro.co/api/subscriptions/entities/example/archive';const options = {method: 'POST', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.usegro.co/api/subscriptions/entities/example/archive \ --header 'X-API-Key: <X-API-Key>'Keeps the entity in Gro but removes it from external integrations, such as its Klaviyo object record.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Responses
Section titled “Responses”Media typeapplication/json
object
data
required
object
id
required
string
name
required
string
created_at
string
updated_at
string
is_active
required
boolean
account_id
required
string
profile_id
required
string
archived_at
string
image_url
string
wizard_id
string
entity_type
required
string
attributes
string
Example generated
{ "data": { "id": "example", "name": "example", "created_at": "example", "updated_at": "example", "is_active": true, "account_id": "example", "profile_id": "example", "archived_at": "example", "image_url": "example", "wizard_id": "example", "entity_type": "example", "attributes": "example" }}